Bug 706787 - [abrt] blueman-1.21-7.fc15: blueman-assistant:194:next_page_fn:AttributeError: FakeDevice instance has no attribute 'Services'
[abrt] blueman-1.21-7.fc15: blueman-assistant:194:next_page_fn:AttributeError...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: blueman (Show other bugs)
15
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Juan Manuel Rodriguez
Fedora Extras Quality Assurance
abrt_hash:27523072704a7bec72321ef49b6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-22 21:17 EDT by Ganesh R
Modified: 2014-07-16 14:28 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 13:32:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ganesh R 2011-05-22 21:17:27 EDT
abrt version: 2.0.1
architecture:   i686
cmdline:        /usr/bin/python /usr/bin/blueman-assistant --device=00:18:13:F6:78:55
component:      blueman
executable:     /usr/bin/blueman-assistant
kernel:         2.6.38.6-27.fc15.i686.PAE
os_release:     Fedora release 15 (Lovelock)
package:        blueman-1.21-7.fc15
reason:         blueman-assistant:194:next_page_fn:AttributeError: FakeDevice instance has no attribute 'Services'
time:           Mon May 23 06:46:40 2011
uid:            500
username:       ganesh

backtrace:
:blueman-assistant:194:next_page_fn:AttributeError: FakeDevice instance has no attribute 'Services'
:
:Traceback (most recent call last):
:  File "/usr/bin/blueman-assistant", line 194, in next_page_fn
:    if len(self.Device.Services) == 0:
:AttributeError: FakeDevice instance has no attribute 'Services'
:
:Local variables in innermost frame:
:self: <__main__.Assistant at / at 0x8b85cec>
:data: None
:page: 3
Comment 1 John 2011-09-19 01:43:37 EDT
Package: blueman-1.21-8.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
crash provided during paiering with mac A1314 bluetooth keyboard
Comment 2 kbridger 2011-10-05 17:25:15 EDT
Package: blueman-1.21-10.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Try to setup a Wacom tablet without pairing
Comment 3 Moritz Baumann 2012-01-18 06:35:50 EST
Tried to pair Sony PS3 BT remote

Package: blueman-1.21-10.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)
Comment 4 Jeff Raber 2012-05-16 00:41:23 EDT
Opened blueman.  Put my device into discoverable mode.  Pressed search.  My device was found.  Right clicked on my device's name in the list and chose 'Setup'. I used the default 'Use Random Passkey' on the pairing screen and pressed 'forward'.  Then ABRT notified me of the crash.

The pairing was unsuccessful.



Package: blueman-1.23-1.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 Henry Kroll 2012-05-27 02:39:06 EDT
Kept getting bluez name already in use with bluetoothd
Also Unable to load keys to adapter_ops: Function not implemented (38)
I tried restarting the device


Package: blueman-1.23-2.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 Roman Melihhov 2012-06-07 04:38:36 EDT
unable to pair smart phone with PC. bluetooth control generated random pin which matches one shown by the phone, but when I click it matches - error has been generated. The only way to pair them was using Blueman Device Manager 1.23 from blueman-project.org this piece of a program helped setup and use devices.

Package: blueman-1.23-2.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 7 Basil Mohamed Gohar 2012-06-12 15:22:30 EDT
Anytime I try to pair a device, this error happens.  It doesn't appear to be fatal, though.

Package: blueman-1.23-2.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 Chris Brennan 2012-06-21 11:12:45 EDT
Turned my mouse on and tried to pair it with my laptop.

Package: blueman-1.23-2.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 9 Fedora End Of Life 2012-08-07 13:32:44 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.